Copy PageList all available rewards for a customerget https://api.staging.antavo.com/customers/{customer_id}/activities/rewardsThis endpoints provides the list of all available rewards for a specific customer.Path Paramscustomer_idstringrequiredUnique customer ID. This can be The Antavo customer ID An external ID (requires configuration): {external_field:external_id_value} Query ParamsfieldsstringenumComma separated list of non-standard fields to be included in the response. Accepted values: claims: See the claimed rewards and associated information for each currently available reward. custom_data: Access this field set in the reward configuration. gallery: Provides, where available, image links specified in the reward configuration. instructions: Access redeem instructions set in the reward configuration. terms: Access terms and conditions set in the reward configuration. Any custom attributes configued in the Entities module with cf_ prefix. claimscustom_dataeventsgalleryinstructionstermsAllowed:claimscustom_dataeventsgalleryinstructionstermslimitintegerDefaults to 100Limits the number of rewards to be returned in one response. Other values are accessible by pagination made accessible via the offset.offsetintegerDefaults to 0Offsets the starting number of rewards to return. This is used in pagination in conjunction with the limit query.sortstringSorts the results by the selected value, which can be starts_at, ends_at, or order. This query can be used in conjunction with the order query.orderstringUsed in conjunction with the sort query to list the results in ascending or descending order. The value can be asc for an ascending order or desc for a descending order.Responses 200List of rewards The list of information returned in the response depends on the type of the reward and its configured attributes. This example shows the attributes of a coupon reward. 404Customer not foundUpdated over 1 year ago Submit an answer to a quizRetrieve a specific reward available for a customerDid this page help you?YesNo